# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xscomadmin`](#dsc_xscomadmin): The DSC xSCOMAdmin resource type. Automatically generated from version 1.3.3.0
* [`dsc_xscomconsolesetup`](#dsc_xscomconsolesetup): The DSC xSCOMConsoleSetup resource type. Automatically generated from version 1.3.3.0
* [`dsc_xscomconsoleupdate`](#dsc_xscomconsoleupdate): The DSC xSCOMConsoleUpdate resource type. Automatically generated from version 1.3.3.0
* [`dsc_xscommanagementpack`](#dsc_xscommanagementpack): The DSC xSCOMManagementPack resource type. Automatically generated from version 1.3.3.0
* [`dsc_xscommanagementserversetup`](#dsc_xscommanagementserversetup): The DSC xSCOMManagementServerSetup resource type. Automatically generated from version 1.3.3.0
* [`dsc_xscommanagementserverupdate`](#dsc_xscommanagementserverupdate): The DSC xSCOMManagementServerUpdate resource type. Automatically generated from version 1.3.3.0
* [`dsc_xscomreportingserversetup`](#dsc_xscomreportingserversetup): The DSC xSCOMReportingServerSetup resource type. Automatically generated from version 1.3.3.0
* [`dsc_xscomwebconsoleserversetup`](#dsc_xscomwebconsoleserversetup): The DSC xSCOMWebConsoleServerSetup resource type. Automatically generated from version 1.3.3.0
* [`dsc_xscomwebconsoleserverupdate`](#dsc_xscomwebconsoleserverupdate): The DSC xSCOMWebConsoleServerUpdate resource type. Automatically generated from version 1.3.3.0

## Resource types

### `dsc_xscomadmin`

The DSC xSCOMAdmin resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscomadmin` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

An enumerated value that describes if the principal is an Operations Manager admin. Present {default}   Absent    

#### Parameters

The following parameters are available in the `dsc_xscomadmin` type.

##### `dsc_principal`

namevar

Data type: `String`

The Operations Manager admin principal.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_scomadmincredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the operations.

##### `dsc_userrole`

namevar

Data type: `String`

The Operations Manager user role.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscomconsolesetup`

The DSC xSCOMConsoleSetup resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscomconsolesetup` type.

##### `dsc_enableerrorreporting`

Data type: `Optional[Enum['Never', 'Queued', 'Always']]`

Never: Do not opt in to sending automatic error reports. Queued: Opt in to sending error reports, but queue the reports for review before sending. Always: Opt in to automatically send error reports.

##### `dsc_installpath`

Data type: `Optional[String]`

Installation path for the software.

##### `dsc_sendceipreports`

Data type: `Optional[Hash]`

0: Do not opt in to the Customer Experience Improvement Program (CEIP). 1: Opt in to CEIP.

##### `dsc_sendodrreports`

Data type: `Optional[Hash]`

0: Do not opt in to sending operational data reports. 1: opt in to sending operational data reports.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_usemicrosoftupdate`

Data type: `Optional[Hash]`

0: Do not opt in to Microsoft Update. 1: Opt in to Microsoft Update.

#### Parameters

The following parameters are available in the `dsc_xscomconsolesetup` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the OM Console is expected to be installed on the machine. Present {default}  
Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscomconsoleupdate`

The DSC xSCOMConsoleUpdate resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscomconsoleupdate` type.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_update`

Data type: `Optional[String]`

Display name of the update.

#### Parameters

The following parameters are available in the `dsc_xscomconsoleupdate` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the update is expected to be installed on the machine. Present {default}   Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscommanagementpack`

The DSC xSCOMManagementPack resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscommanagementpack` type.

##### `dsc_minversion`

Data type: `Optional[String]`

Minimum version of the Management Pack, overridden by Version if both set.

##### `dsc_sourcefile`

Data type: `String`

Name of the file in the source folder for the Management Pack.

##### `dsc_sourcefolder`

Data type: `String`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `Optional[String]`

UNC path to the root of the source files for installation, if omitted the Operations Manager installation folder will be used.

##### `dsc_version`

Data type: `Optional[String]`

Specific version of the Management Pack, overrides MinVersion if both set.

#### Parameters

The following parameters are available in the `dsc_xscommanagementpack` type.

##### `dsc_name`

namevar

Data type: `String`

Name of the Management Pack.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_scomadmincredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential with admin permissions to Operations Manager.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscommanagementserversetup`

The DSC xSCOMManagementServerSetup resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscommanagementserversetup` type.

##### `dsc_actionaccountusername`

Data type: `Optional[String]`

Output username of the Management server action account.

##### `dsc_dasaccountusername`

Data type: `Optional[String]`

Output username of the Data Access service account.

##### `dsc_databasename`

Data type: `Optional[String]`

The name of the Operational database.

##### `dsc_databasesize`

Data type: `Optional[Integer[0, 65535]]`

The size in MB of the Operational database.

##### `dsc_datareaderusername`

Data type: `Optional[String]`

Output username of the data reader account.

##### `dsc_datawriterusername`

Data type: `Optional[String]`

Output username of the data writer account.

##### `dsc_dwdatabasename`

Data type: `Optional[String]`

The name of the data warehouse database.

##### `dsc_dwdatabasesize`

Data type: `Optional[Integer[0, 65535]]`

The size in MB of the data warehouse database.

##### `dsc_dwsqlserverinstance`

Data type: `String`

The data warehouse server and instance.

##### `dsc_enableerrorreporting`

Data type: `Optional[Enum['Never', 'Queued', 'Always']]`

Never: Do not opt in to sending automatic error reports. Queued: Opt in to sending error reports, but queue the reports for review before sending. Always: Opt in to automatically send error reports.

##### `dsc_firstmanagementserver`

Data type: `Boolean`

Is this the first Management Server?

##### `dsc_installpath`

Data type: `Optional[String]`

Installation path for the software.

##### `dsc_managementgroupname`

Data type: `String`

The name of the management group.

##### `dsc_managementserviceport`

Data type: `Optional[Integer[0, 65535]]`

Change the Management Server port on install.

##### `dsc_productkey`

Data type: `Optional[String]`

Product key for licensed installations.

##### `dsc_sendceipreports`

Data type: `Optional[Hash]`

0: Do not opt in to the Customer Experience Improvement Program (CEIP). 1: Opt in to CEIP.

##### `dsc_sendodrreports`

Data type: `Optional[Hash]`

0: Do not opt in to sending operational data reports. 1: opt in to sending operational data reports.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_sqlserverinstance`

Data type: `String`

The SQL server and instance.

##### `dsc_usemicrosoftupdate`

Data type: `Optional[Hash]`

0: Do not opt in to Microsoft Update. 1: Opt in to Microsoft Update.

#### Parameters

The following parameters are available in the `dsc_xscommanagementserversetup` type.

##### `dsc_actionaccount`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The domain and user name of the Management server action account.

##### `dsc_dasaccount`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The domain and user name of the Data Access service account.

##### `dsc_datareader`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The domain and user name of the data reader account.

##### `dsc_datawriter`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The domain and user name of the data Writer account.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the OM management server is expected to be installed on the machine. Present
{default}   Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscommanagementserverupdate`

The DSC xSCOMManagementServerUpdate resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscommanagementserverupdate` type.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_update`

Data type: `Optional[String]`

Display name of the update.

#### Parameters

The following parameters are available in the `dsc_xscommanagementserverupdate` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the update is expected to be installed on the machine. Present {default}   Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscomreportingserversetup`

The DSC xSCOMReportingServerSetup resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscomreportingserversetup` type.

##### `dsc_datareaderusername`

Data type: `Optional[String]`

Output username of the data reader account.

##### `dsc_enableerrorreporting`

Data type: `Optional[Enum['Never', 'Queued', 'Always']]`

Never: Do not opt in to sending automatic error reports. Queued: Opt in to sending error reports, but queue the reports for review before sending. Always: Opt in to automatically send error reports.

##### `dsc_installpath`

Data type: `Optional[String]`

Installation path for the software.

##### `dsc_managementserver`

Data type: `String`

The name of the management server associated with the Reporting server.

##### `dsc_sendceipreports`

Data type: `Optional[Hash]`

0: Do not opt in to the Customer Experience Improvement Program (CEIP). 1: Opt in to CEIP.

##### `dsc_sendodrreports`

Data type: `Optional[Hash]`

0: Do not opt in to sending operational data reports. 1: opt in to sending operational data reports.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_srsinstance`

Data type: `String`

The reporting server and instance.

##### `dsc_usemicrosoftupdate`

Data type: `Optional[Hash]`

0: Do not opt in to Microsoft Update. 1: Opt in to Microsoft Update.

#### Parameters

The following parameters are available in the `dsc_xscomreportingserversetup` type.

##### `dsc_datareader`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

The domain and user name of the data reader account.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the OM Reporting server is expected to be installed on the machine. Present
{default}   Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscomwebconsoleserversetup`

The DSC xSCOMWebConsoleServerSetup resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscomwebconsoleserversetup` type.

##### `dsc_enableerrorreporting`

Data type: `Optional[Enum['Never', 'Queued', 'Always']]`

Never: Do not opt in to sending automatic error reports. Queued: Opt in to sending error reports, but queue the reports for review before sending. Always: Opt in to automatically send error reports.

##### `dsc_installpath`

Data type: `Optional[String]`

Installation path for the software.

##### `dsc_managementserver`

Data type: `String`

The name of the management server associated with the Reporting server.

##### `dsc_sendceipreports`

Data type: `Optional[Hash]`

0: Do not opt in to the Customer Experience Improvement Program (CEIP). 1: Opt in to CEIP.

##### `dsc_sendodrreports`

Data type: `Optional[Hash]`

0: Do not opt in to sending operational data reports. 1: opt in to sending operational data reports.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_usemicrosoftupdate`

Data type: `Optional[Hash]`

0: Do not opt in to Microsoft Update. 1: Opt in to Microsoft Update.

##### `dsc_webconsoleauthorizationmode`

Data type: `Optional[Enum['Mixed', 'Network']]`

Mixed: Used for intranet scenarios. Network: Used for extranet scenarios.

##### `dsc_webconsoleusessl`

Data type: `Optional[Boolean]`

Specify only if your website has Secure Sockets Layer (SSL) activated. 

##### `dsc_websitename`

Data type: `Optional[String]`

The name of the website.

#### Parameters

The following parameters are available in the `dsc_xscomwebconsoleserversetup` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the OM Web Console server is expected to be installed on the machine. Present
{default}   Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_xscomwebconsoleserverupdate`

The DSC xSCOMWebConsoleServerUpdate resource type.
Automatically generated from version 1.3.3.0

#### Properties

The following properties are available in the `dsc_xscomwebconsoleserverupdate` type.

##### `dsc_sourcefolder`

Data type: `Optional[String]`

Folder within the source path containing the source files for installation.

##### `dsc_sourcepath`

Data type: `String`

UNC path to the root of the source files for installation.

##### `dsc_update`

Data type: `Optional[String]`

Display name of the update.

#### Parameters

The following parameters are available in the `dsc_xscomwebconsoleserverupdate` type.

##### `dsc_ensure`

namevar

Data type: `Enum['Present', 'Absent']`

An enumerated value that describes if the update is expected to be installed on the machine. Present {default}   Absent

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_setupcredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

Credential to be used to perform the installation.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

